Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation
Class BelongingHome

    java.lang.Object
      com.beasys.commerce.foundation.BelongingHome

All Implemented Interfaces
  SmartHome

Deprecated See BEA Commerce product offering

    @Deprecated
    public class BelongingHome

extends Object
implements SmartHome

This is a Belonging home/bean factory. This implementation caches classes for increased performance using the design pattern that reduces contention and synchronization overhead.

See Also
  `Belonging`, `BelongingImpl`

Field Summary
`static String` | `BELONGING_BEAN_CLASS_NAME` Deprecated See BEA Commerce product offering
`static String` | `CUSTOM_HOME_NAME` Deprecated See BEA Commerce product offering
`static String` | `DEFAULT_BELONGING_IMPL_SUFFIX` Deprecated See BEA Commerce product offering

Constructor Summary
`BelongingHome()` Deprecated See BEA Commerce product offering

Method Summary
`static Belonging` | `create(String belongingInterfaceClassName)` Deprecated See BEA Commerce product offering
`static SmartHome` | `getCustomHome(String belongingInterfaceClassName)` Deprecated See BEA Commerce product offering
`static void` | `init()` Deprecated See BEA Commerce product offering

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CUSTOM_HOME_NAME

    public static final String CUSTOM_HOME_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### BELONGING_BEAN_CLASS_NAME

    public static final String BELONGING_BEAN_CLASS_NAME

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

### DEFAULT_BELONGING_IMPL_SUFFIX

    public static final String DEFAULT_BELONGING_IMPL_SUFFIX

  Deprecated See BEA Commerce product offering
  See Also
    Constants Summary

Constructor Detail

### BelongingHome

    public BelongingHome()

  Deprecated See BEA Commerce product offering

Method Detail

### init

    public static void init()

  Deprecated See BEA Commerce product offering

  The init method must be called before any Belongings are created.

### getCustomHome

    public static SmartHome getCustomHome(String belongingInterfaceClassName)

  Deprecated See BEA Commerce product offering

  Given a bean interface, use the factory pattern to get its custom home. If a bean's custom home is not defined in the weblogiccommerce.properties file, then this method returns null. This is an example of specifying a custom home name in the properties file.

        com.beasys.commerce.axiom.contact.Address.CustomHomeName = com.acme.util.AddressHome
        com.beasys.commerce.axiom.contact.Phone.CustomHomeName = com.acme.contact.PhoneHome

  Parameters
    `belongingInterfaceClassName` - The name of the Belonging interface Class
  Returns
    The custom factory Class, or `null` if not defined

### create

    public static Belonging create(String belongingInterfaceClassName)

  Deprecated See BEA Commerce product offering

  Given a bean interface, use the factory pattern to create an instance. The bean instance can be obtained from the weblogiccommerce.properties file. If it is not there, then we will use the default Impl where is the name of the bean interface. This is an example of specifying a different Impl class in the properties file.

       com.beasys.commerce.axiom.contact.Address.BelongingBeanClassName = com.acme.util.AddressBean
       com.beasys.commerce.axiom.contact.Phone.BelongingBeanClassName = com.acme.contact.PhoneBean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved